Wire up osi-checkins for the new GitHub API

Bug #1807137 reported by Paul Everitt on 2018-12-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
KARL4
Low
Carlos de la Guardia

Bug Description

When we commit, the email causes GitHub to trigger a warning that GitHub Services is shutting down: https://developer.github.com/changes/2018-04-25-github-services-deprecation/

Carlos de la Guardia (cguardia) wrote :

Not sure if I need access to karlproject's settings on github to fix this.

Changed in karl4:
status: New → In Progress

Let me know if I need to do something on karlhosting

—Paul

Carlos de la Guardia (cguardia) wrote :

I have owner role on karlhosting, it's karlproject where I don't have enough permissions.

The organization as a whole, or:

https://github.com/karlproject/karlproject.org <https://github.com/karlproject/karlproject.org>

https://github.com/karlproject/karlproject.github.io <https://github.com/karlproject/karlproject.github.io>

—Paul

> On Dec 9, 2018, at 7:57 PM, Carlos de la Guardia <email address hidden> wrote:
>
> I have owner role on karlhosting, it's karlproject where I don't have
> enough permissions.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1807137
>
> Title:
> Wire up osi-checkins for the new GitHub API
>
> Status in KARL4:
> In Progress
>
> Bug description:
> When we commit, the email causes GitHub to trigger a warning that
> GitHub Services is shutting down:
> https://developer.github.com/changes/2018-04-25-github-services-
> deprecation/
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/karl4/+bug/1807137/+subscriptions

Carlos de la Guardia (cguardia) wrote :

Not really sure. I suppose it would be enough to have access to wherever github services are defined (karl?). I do have whole org access on karlhosting.
Carlos de la Guardia

      From: Paul Everitt <email address hidden>
 To: <email address hidden>
 Sent: Monday, December 10, 2018 8:30 AM
 Subject: Re: [Bug 1807137] Re: Wire up osi-checkins for the new GitHub API

The organization as a whole, or:

https://github.com/karlproject/karlproject.org
<https://github.com/karlproject/karlproject.org>

https://github.com/karlproject/karlproject.github.io
<https://github.com/karlproject/karlproject.github.io>

—Paul

> On Dec 9, 2018, at 7:57 PM, Carlos de la Guardia <email address hidden> wrote:
>
> I have owner role on karlhosting, it's karlproject where I don't have
> enough permissions.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1807137
>
> Title:
>  Wire up osi-checkins for the new GitHub API
>
> Status in KARL4:
>  In Progress
>
> Bug description:
>  When we commit, the email causes GitHub to trigger a warning that
>  GitHub Services is shutting down:
https://developer.github.com/changes/2018-04-25-github-services-
>  deprecation/
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/karl4/+bug/1807137/+subscriptions

--
You received this bug notification because you are a bug assignee.
https://bugs.launchpad.net/bugs/1807137

Title:
  Wire up osi-checkins for the new GitHub API

Status in KARL4:
  In Progress

Bug description:
  When we commit, the email causes GitHub to trigger a warning that
  GitHub Services is shutting down:
  https://developer.github.com/changes/2018-04-25-github-services-
  deprecation/

To manage notifications about this bug go to:
https://bugs.launchpad.net/karl4/+bug/1807137/+subscriptions

Carlos de la Guardia (cguardia) wrote :

One more hurdle. Need access to travis-ci karlproject settings.

Paul Everitt (paul-agendaless) wrote :

You mean this one?

https://travis-ci.org/karlproject/karl <https://travis-ci.org/search/karl>

—Paul

> On Dec 10, 2018, at 6:39 PM, Carlos de la Guardia <email address hidden> wrote:
>
> One more hurdle. Need access to travis-ci karlproject settings.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1807137
>
> Title:
> Wire up osi-checkins for the new GitHub API
>
> Status in KARL4:
> In Progress
>
> Bug description:
> When we commit, the email causes GitHub to trigger a warning that
> GitHub Services is shutting down:
> https://developer.github.com/changes/2018-04-25-github-services-
> deprecation/
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/karl4/+bug/1807137/+subscriptions

Carlos de la Guardia (cguardia) wrote :

I think that's the one. When I go here:

https://travis-ci.org/organizations/karlproject/repositories

I see that legacy services integration is enabled for karl, but it says I don't have permissions for viewing the settings.

Paul Everitt (paul-agendaless) wrote :

Not sure how I give permissions to other people in Travis CI.

—Paul

> On Dec 10, 2018, at 10:06 PM, Carlos de la Guardia <email address hidden> wrote:
>
> I think that's the one. When I go here:
>
> https://travis-ci.org/organizations/karlproject/repositories
>
> I see that legacy services integration is enabled for karl, but it says
> I don't have permissions for viewing the settings.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1807137
>
> Title:
> Wire up osi-checkins for the new GitHub API
>
> Status in KARL4:
> In Progress
>
> Bug description:
> When we commit, the email causes GitHub to trigger a warning that
> GitHub Services is shutting down:
> https://developer.github.com/changes/2018-04-25-github-services-
> deprecation/
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/karl4/+bug/1807137/+subscriptions

Might not need that after all. Will keep you posted.

So, I think the best way to get travis working without the legacy hooks, would be to add the travis github app to the repository. However:

"The option to migrate to travis-ci.com for active open source repositories that were always open source will come soon."

Maybe we can let this in the back burner until January, to see if there's a change there.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers